textures/mario64df/sky
{
	qer_editorimage env/sky_46/sky46_ft.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_surfacelight 40
	surfaceparm sky
	q3map_sun 1 1 1 100 180 70
	skyparms env/sky_46/sky46 - -
}

textures/mario64df/redcoin
{
	qer_editorimage textures/mario64df/redcoin1.tga
	nopicmip
	
	{
		animMap 10 textures/mario64df/redcoin1.tga textures/mario64df/redcoin2.tga textures/mario64df/redcoin3.tga textures/mario64df/redcoin4.tga
		blendFunc GL_SRC_ALPHA GL_ZERO
		alphaFunc GE128
	}
}

textures/mario64df/yellowcoin
{
	qer_editorimage textures/mario64df/yellowcoin1.tga
	nopicmip
	cull disable
	{
		animMap 10 textures/mario64df/yellowcoin1.tga textures/mario64df/yellowcoin2.tga textures/mario64df/yellowcoin3.tga textures/mario64df/yellowcoin4.tga
		blendFunc GL_SRC_ALPHA GL_ZERO
		alphaFunc GE128
	}
}

textures/mario64df/bluecoin
{
	qer_editorimage textures/mario64df/bluecoin1.tga
	nopicmip
	cull disable
	{
		animMap 10 textures/mario64df/bluecoin1.tga textures/mario64df/bluecoin2.tga textures/mario64df/bluecoin3.tga textures/mario64df/bluecoin4.tga
		blendFunc GL_SRC_ALPHA GL_ZERO
		alphaFunc GE128
	}
}

textures/mario64df/treesprite
{ 
        cull disable
        surfaceparm nomarks	
        surfaceparm nolightmap
		surfaceparm nonsolid
        deformVertexes autosprite2
        
        {
			clampmap textures/mario64df/treesprite.tga
			blendFunc GL_SRC_ALPHA GL_ZERO
			alphaFunc GE128
			depthWrite
		}   
}

textures/mario64df/bush_top
{
	surfaceparm nonsolid
	{
		map textures/mario64df/bush_top.jpg
		rgbgen identity
	}
}
	
textures/mario64df/bush_side
{
	surfaceparm nonsolid
	{
		map textures/mario64df/bush_side.jpg
		rgbgen identity
	}
}

textures/mario64df/lifttop
{
	surfaceparm metalsteps
	{
		map textures/mario64df/lifttop.jpg
		rgbgen identity
	}
}

textures/mario64df/fence
{
	surfaceparm alphashadow
	
	cull twosided
	qer_nocarve
	{
		map textures/mario64df/fence.tga
		
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
}

textures/mario64df/fence2
{
	surfaceparm alphashadow
	
	cull twosided
	qer_nocarve
	{
		map textures/mario64df/fence2.tga	
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
	}
}

textures/mario64df/8coins_fin
{
	surfaceparm alphashadow
	surfaceparm nonsolid
	
	cull twosided
	qer_nocarve
	qer_trans .5
	
	{
		map textures/mario64df/8coins_fin.tga		
		blendFunc GL_ONE GL_ZERO
		alphaFunc GT0
		tcmod rotate 90 1
		tcmod scale 1 1
	}
}
	
textures/mario64df/water
{
	qer_trans .5
	q3map_globaltexture
	
	
	surfaceparm water
	surfaceparm trans
	{
		map textures/mario64df/water.jpg
		rgbgen identity
		blendfunc add
		tcmod scroll -.3 .2
	}
}

textures/mario64df/yellow
{
	qer_trans .5
	surfaceparm trans
	surfaceparm nonsolid
	polygonoffset
	{
		map textures/mario64df/yellow.jpg
		rgbgen identity
		blendfunc add
	}
}

textures/mario64df/shiney
{
	qer_editorimage textures/mario64df/yellow.jpg
	{
		map textures/mario64df/yellow.jpg
		rgbgen identity
		blendfunc add
		tcgen environment
	}
}

textures/mario64df/plantground
{
	surfaceparm nonsolid
	polygonoffset
	{
		map textures/mario64df/plantground.jpg
		rgbgen identity
		blendfunc blend
	}
}

textures/mario64df/secret
{
	surfaceparm nomarks
	qer_editorimage textures/mario64df/secret.jpg
	{
		map textures/mario64df/secret.jpg
		rgbgen identity
	}
}